<?php
/**
 * @Statement: [ An Ordinary Person ]
 * @Author: 闻子 < QQ：270988107 >
 * @Copyright: 闻子 2016-2019 All rights reserved.
 *
 *    .--,       .--,
 *   ( (  \.---./  ) )
 *    '.__/o   o\__.'
 *       {=  ^  =}
 *        >  -  <
 *       /       \
 *      //       \\
 *     //|   .   |\\
 *     "'\       /'"_.-~^`'-.
 *        \  _  /--'         `
 *      ___)( )(___
 *     (((__) (__)))    高山仰止,景行行止.虽不能至,心向往之.
 *
 */

namespace app\index\controller;

use Db;

use app\common\controller\Base as BaseController;

class Article extends BaseController
{
	/**
	 * 继承基类
	 * @Author: 闻子 < QQ：270988107 >
	 */
    use Basedata;

	/**
	 * 前台首页
	 * @Author: 闻子 < QQ：270988107 >
	 */
    public function index()
    {
        $id = input('id');
        if (empty($id)) {
            $this->error('参数异常','/');
        }
        $info = Db::name('article')->where('id',$id)->find();
        return view('',compact('info'));
    }
}
